| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
AAX_CParameterValue< T > Class Template Reference

`#include <AAX_CParameter.h>`

Inheritance diagram for AAX_CParameterValue< T >:
[legend]
Collaboration diagram for AAX_CParameterValue< T >:
[legend]

## Description

template<typename T>
class AAX_CParameterValue< T >

Concrete implementation of AAX_IParameterValue.

Used by AAX_CParameter

## Public Types
enum | Defaults { eParameterDefaultMaxIdentifierSize = kAAX_ParameterIdentifierMaxSize , eParameterDefaultMaxIdentifierLength = eParameterDefaultMaxIdentifierSize - 1 }

## Public Member Functions
| AAX_DEFAULT_DTOR_OVERRIDE (AAX_CParameterValue)
| AAX_DEFAULT_MOVE_CTOR (AAX_CParameterValue)
| AAX_DEFAULT_MOVE_OPER (AAX_CParameterValue)
| AAX_DELETE (AAX_CParameterValue &operator=(const AAX_CParameterValue &))
| AAX_CParameterValue (AAX_CParamID identifier)
| Constructs an AAX_CParameterValue object.
| AAX_CParameterValue (AAX_CParamID identifier, const T &value)
| Constructs an AAX_CParameterValue object with a defined initial state.
| AAX_CParameterValue (const AAX_CParameterValue< T > &other)
| Copy constructor for AAX_CParameterValue.
const T & | Get () const
| Direct access to the template instance's value.
void | Set (const T &inValue)
| Direct access to the template instance's value.
AAX_IParameterValue * | Clone () const AAX_OVERRIDE
| Clones the parameter object.
AAX_CParamID | Identifier () const AAX_OVERRIDE
| Returns the parameter's unique identifier.
bool | GetValueAsBool (bool *value) const
| Retrieves the parameter's value as a bool.
bool | GetValueAsInt32 (int32_t *value) const
| Retrieves the parameter's value as an int32_t.
bool | GetValueAsFloat (float *value) const
| Retrieves the parameter's value as a float.
bool | GetValueAsDouble (double *value) const
| Retrieves the parameter's value as a double.
bool | GetValueAsString (AAX_IString *value) const
| Retrieves the parameter's value as a string.
Public Member Functions inherited from AAX_IParameterValue
virtual | ~AAX_IParameterValue ()
| Virtual destructor.
virtual AAX_IParameterValue * | Clone () const =0
| Clones the parameter object.
virtual AAX_CParamID | Identifier () const =0
| Returns the parameter's unique identifier.

## Typed accessors
bool | GetValueAsBool (bool *value) const AAX_OVERRIDE
| Retrieves the parameter's value as a bool.
bool | GetValueAsInt32 (int32_t *value) const AAX_OVERRIDE
| Retrieves the parameter's value as an int32_t.
bool | GetValueAsFloat (float *value) const AAX_OVERRIDE
| Retrieves the parameter's value as a float.
bool | GetValueAsDouble (double *value) const AAX_OVERRIDE
| Retrieves the parameter's value as a double.
bool | GetValueAsString (AAX_IString *value) const AAX_OVERRIDE
| Retrieves the parameter's value as a string.

## Member Enumeration Documentation

## ◆ Defaults

template<typename T >

enum AAX_CParameterValue::Defaults

Enumerator
eParameterDefaultMaxIdentifierSize |
eParameterDefaultMaxIdentifierLength |

## Constructor & Destructor Documentation

## ◆ AAX_CParameterValue() [1/3]

template<typename T >

AAX_CParameterValue< T >::AAX_CParameterValue | ( | AAX_CParamID | identifier | ) |
| explicit

Constructs an AAX_CParameterValue object.

Parameters

  [in] | identifier | Unique ID for the parameter value, these can only be 31 characters long at most. (the fixed length is a requirement for some optimizations in the host)

Note
  The initial state of the parameter value is undefined

## ◆ AAX_CParameterValue() [2/3]

template<typename T >

AAX_CParameterValue< T >::AAX_CParameterValue | ( | AAX_CParamID | identifier,
|  | const T & | value
| ) |  |
| explicit

Constructs an AAX_CParameterValue object with a defined initial state.

Parameters

  [in] | identifier | Unique ID for the parameter value, these can only be 31 characters long at most. (the fixed length is a requirement for some optimizations in the host)
  [in] | value | Initial state of the parameter value

## ◆ AAX_CParameterValue() [3/3]

template<typename T >

AAX_CParameterValue< T >::AAX_CParameterValue | ( | const AAX_CParameterValue< T > & | other | ) |
| explicit

Copy constructor for AAX_CParameterValue.

## Member Function Documentation

## ◆ AAX_DEFAULT_DTOR_OVERRIDE()

template<typename T >

AAX_CParameterValue< T >::AAX_DEFAULT_DTOR_OVERRIDE | ( | AAX_CParameterValue< T > |  | ) |

## ◆ AAX_DEFAULT_MOVE_CTOR()

template<typename T >

AAX_CParameterValue< T >::AAX_DEFAULT_MOVE_CTOR | ( | AAX_CParameterValue< T > |  | ) |

## ◆ AAX_DEFAULT_MOVE_OPER()

template<typename T >

AAX_CParameterValue< T >::AAX_DEFAULT_MOVE_OPER | ( | AAX_CParameterValue< T > |  | ) |

## ◆ AAX_DELETE()

template<typename T >

AAX_CParameterValue< T >::AAX_DELETE | ( | AAX_CParameterValue< T > & | operator = `(const AAX_CParameterValue< T > &)` | ) |

## ◆ Get()

template<typename T >

const T & AAX_CParameterValue< T >::Get | ( |  | ) | const
| inline

Direct access to the template instance's value.

## ◆ Set()

template<typename T >

void AAX_CParameterValue< T >::Set | ( | const T & | inValue | ) |
| inline

Direct access to the template instance's value.

## ◆ Clone()

template<typename T >

AAX_IParameterValue * AAX_CParameterValue< T >::Clone | ( |  | ) | const
| inline virtual

Clones the parameter object.

Note
  Does NOT set the automation delegate on the clone; ownership of the automation delegate and parameter registration/unregistration stays with the original parameter

Implements AAX_IParameterValue.

## ◆ Identifier()

template<typename T >

AAX_CParamID AAX_CParameterValue< T >::Identifier | ( |  | ) | const
| inline virtual

Returns the parameter's unique identifier.

This unique ID is used by the Parameter Manager and by outside applications to uniquely identify and target control messages. This value may not be changed after the parameter has been constructed.

Implements AAX_IParameterValue.

## ◆ GetValueAsBool() [1/2]

template<typename T >

bool AAX_CParameterValue< T >::GetValueAsBool | ( | bool * | value | ) | const
| virtual

Retrieves the parameter's value as a bool.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to bool was successful
  false | The conversion to bool was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsInt32() [1/2]

template<typename T >

bool AAX_CParameterValue< T >::GetValueAsInt32 | ( | int32_t * | value | ) | const
| virtual

Retrieves the parameter's value as an int32_t.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to int32_t was successful
  false | The conversion to int32_t was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsFloat() [1/2]

template<typename T >

bool AAX_CParameterValue< T >::GetValueAsFloat | ( | float * | value | ) | const
| virtual

Retrieves the parameter's value as a float.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to float was successful
  false | The conversion to float was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsDouble() [1/2]

template<typename T >

bool AAX_CParameterValue< T >::GetValueAsDouble | ( | double * | value | ) | const
| virtual

Retrieves the parameter's value as a double.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to double was successful
  false | The conversion to double was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsString() [1/2]

template<typename T >

bool AAX_CParameterValue< T >::GetValueAsString | ( | AAX_IString * | value | ) | const
| virtual

Retrieves the parameter's value as a string.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to string was successful
  false | The conversion to string was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsBool() [2/2]

bool AAX_CParameterValue< bool >::GetValueAsBool | ( | bool * | value | ) | const
| virtual

Retrieves the parameter's value as a bool.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to bool was successful
  false | The conversion to bool was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsInt32() [2/2]

bool AAX_CParameterValue< int32_t >::GetValueAsInt32 | ( | int32_t * | value | ) | const
| virtual

Retrieves the parameter's value as an int32_t.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to int32_t was successful
  false | The conversion to int32_t was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsFloat() [2/2]

bool AAX_CParameterValue< float >::GetValueAsFloat | ( | float * | value | ) | const
| virtual

Retrieves the parameter's value as a float.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to float was successful
  false | The conversion to float was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsDouble() [2/2]

bool AAX_CParameterValue< double >::GetValueAsDouble | ( | double * | value | ) | const
| virtual

Retrieves the parameter's value as a double.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to double was successful
  false | The conversion to double was unsuccessful

Implements AAX_IParameterValue.

## ◆ GetValueAsString() [2/2]

bool AAX_CParameterValue< AAX_CString >::GetValueAsString | ( | AAX_IString * | value | ) | const
| virtual

Retrieves the parameter's value as a string.

Parameters

  [out] | value | The parameter's real value. Set only if conversion is successful.

Return values

  true | The conversion to string was successful
  false | The conversion to string was unsuccessful

Implements AAX_IParameterValue.

The documentation for this class was generated from the following file:

- AAX_CParameter.h